# gdcm::Preamble Class Reference

DICOM Preamble (Part 10). More...

`#include <gdcmPreamble.h>`

List of all members.

## Public Member Functions
| Preamble (Preamble const &preamble)
| Preamble ()
| ~Preamble ()
void | Clear ()
void | Create ()
const char * | GetInternal () const
VL | GetLength () const
bool | IsEmpty () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | Remove ()
void | Valid ()
std::ostream const & | Write (std::ostream &os) const
## Protected Member Functions
bool | IsValid () const
## Friends
std::ostream & | operator<< (std::ostream &_os, const Preamble &_val)

## Detailed Description

DICOM Preamble (Part 10).

## Constructor & Destructor Documentation

gdcm::Preamble::Preamble | ( |  | ) |

gdcm::Preamble::~Preamble | ( |  | ) |

gdcm::Preamble::Preamble | ( | Preamble const & | preamble | ) | `[inline]`

## Member Function Documentation

void gdcm::Preamble::Clear | ( |  | ) |

void gdcm::Preamble::Create | ( |  | ) |

const char* gdcm::Preamble::GetInternal | ( |  | ) | const`[inline]`

VL gdcm::Preamble::GetLength | ( |  | ) | const`[inline]`

bool gdcm::Preamble::IsEmpty | ( |  | ) | const`[inline]`

bool gdcm::Preamble::IsValid | ( |  | ) | const`[inline, protected]`

void gdcm::Preamble::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::Preamble::Read | ( | std::istream & | is | ) |

void gdcm::Preamble::Remove | ( |  | ) |

void gdcm::Preamble::Valid | ( |  | ) |

std::ostream const& gdcm::Preamble::Write | ( | std::ostream & | os | ) | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Preamble & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmPreamble.h